<?php
//---------------------------------------------------------------------------------------------------
// Proyecto: Icasus (http://wiki.us.es/icasus/)
// Archivo: datos_usuario.php
// Tipo: Interfaz de usuario
// Desarrolladores: Juanan Ruiz (juanan@us.es)
//---------------------------------------------------------------------------------------------------
// Descripcion: Muestra los datos de un usuario y las entidades a las que pertenece
//---------------------------------------------------------------------------------------------------

include_once ("icasus.config.php");
include_once ("clase_usuario.php");
include_once ("clase_base_datos.php");

//Habilita variables de sesion
session_start();

//Comprueba si el usuario ha iniciado sesion
if (!isset($_SESSION["usuario"]))
	header ("Location: index.php?aviso=Debe iniciar sesion para acceder al sistema");

$id_usuario = $_SESSION["usuario"]->id_usuario;
$login_usuario = $_SESSION["usuario"]->login;
$operario = $_SESSION["usuario"]; 

$id_usuario_editado = $_GET["id_usuario"];

if ($base_datos = new base_datos($ic_db_host,$ic_db_login,$ic_db_clave,$ic_db_database)) {
  	$usuario = new usuario($base_datos);
  	//Recupera los datos del usuario
	$usuario->obtener_datos($id_usuario_editado);
	$html_usuario = "<h3>Datos del usuario</h3>\n<table>\n";
	$html_usuario .= "<tr><th>Login</th><td>" . $usuario->login  . "</td></tr>\n";
	$html_usuario .= "<tr><th>Nombre</th><td>" . $usuario->nombre . "</td></tr>\n";	
	$html_usuario .= "<tr><th>Apellidos</th><td>" . $usuario->apellidos . "</td></tr>\n";	
	$html_usuario .= "<tr><th>DNI</th><td>" . $usuario->nif . "</td></tr>\n";	
	$html_usuario .= "<tr><th>Correo</th><td>" . $usuario->correo . "</td></tr>\n";	
	$html_usuario .= "<tr><th>Tel&eacute;fono</th><td>" . $usuario->telefono . "</td></tr>\n";	
	$html_usuario .= "</table>";
	
	//Mostramos las entidades asignadas a este usuario
	$usuario->obtener_entidades($id_usuario_editado);
	$html_entidades = "<h3>Entidades asignadas</h3>\n<table class='listing' id='sortable'><thead>\n";
	$html_entidades .= "<th>Entidad</th><th>Rol</th></thead><tbody>";
	foreach ($usuario->entidades as $entidad_usuario) {
		$html_entidades .= "<tr><td>". $entidad_usuario["nombre"] . "</td>";
		$html_entidades .= "<td>" . $entidad_usuario["rol"] . "</td></tr>\n";
		}
	$html_entidades .= "</tbody></table>\n";
	}
else
  $mensaje = "Problema de conexion a la base de datos. Intentelo mas tarde.";

$base_datos->desconectar();

$nombre_pagina = "Datos Usuario: " . $usuario->nombre . " " . $usuario->apellidos;
$comandos = "";
//Comprobamos que el rol del usuario sea de administrador para asignarle botones de comandos avanzados
if ($operario->entidades[$id_entidad]["rol"]=="administrador" || $operario->entidades[0]["rol"]=="administrador") { 
	$comandos .= ic_cmd_editar_usuario($id_usuario_editado) . $ic_cmd_nuevo_usuario;
	}
$comandos .= $ic_cmd_usuarios . $ic_cmd_entidades;


//Comienzo a desplegar codigo html
include_once ("inc_cabecera.php"); 

print ("<p>".$mensaje."</p>");
print ($html_usuario);
print ($html_entidades);
//print_r($usuario);

include_once ("inc_pie.php"); 
?>
