<?php
//---------------------------------------------------------------------------------------------------
// Proyecto: Icasus (http://wiki.us.es/icasus/)
// Archivo: exportar_datos.php
// Tipo: procesa datos e interfaz de usuario
// Desarrolladores: Juanan Ruiz (juanan@us.es)
//---------------------------------------------------------------------------------------------------
// Descripcion: Prepara datos y genera ficheros cvs para exportar indicadores 
// y valores a otras aplicaciones
//---------------------------------------------------------------------------------------------------

include_once ("icasus.config.php");
include_once ("clase_usuario.php");
include_once ("clase_entidad.php");
include_once ("clase_indicador.php");
include_once ("clase_base_datos.php");

// Habilita variables de sesion
session_start();

// Comprueba que todas las variables necesarias traigan contenido
// en caso contrario redirecciona al formularioi de inicio de sesion
if ( !isset($_SESSION["usuario"]) OR empty($_GET["id_indicador"])) {
	header ("Location: index.php");
	}

//Variables de sesion	
$usuario = $_SESSION["usuario"];
$id_usuario = $usuario->id_usuario;
$login_usuario = $usuario->login;


// Variables que vienen de la pagina anterior
$id_indicador = $_GET["id_indicador"]; 
$base_datos = new base_datos($ic_db_host,$ic_db_login,$ic_db_clave,$ic_db_database);
	
// Obtenemos los datos del indicador	
$indicador = new indicador($base_datos);
$indicador->obtener_datos($id_indicador);
$_SESSION["indicador"] = $indicador;

// Obtenemos los datos relativos  a la entidad para mostrarlos en la pagina
if (empty($_SESSION["entidad"])) {
	$entidad = new entidad($base_datos);
	$entidad->obtener_datos($indicador->id_entidad);
	$id_identidad = $identidad->id_identidad;
	$nombre_entidad = $identidad->nombre;
	$_SESSION["entidad"] = $entidad;
	}
else {
	$id_entidad = $_SESSION["entidad"]->id_entidad;
	$nombre_entidad = $_SESSION["entidad"]->nombre;
	}

//Comprobamos que el usuario tiene permisos suficientes para ver los indicadores de esta entidad
//en caso contrario lo devolvemos a la lista de entidades con un aviso
if ((!isset($usuario->entidades[$id_entidad])) || ($usuario->entidades[0]["rol"]<>"administrador")) {
	header ("Location: lista_entidades.php?aviso=No tiene permisos suficientes para ver los datos de los indicadores de la entidad " . $nombre_entidad);
	}
	
// Preparamos los datos del indicador en formato html
$html_indicador = "<table>\n";
$html_indicador .= "<tr><th>Nombre</th><th colspan='2'>Descripci&oacute;n</th><th>Formulaci&oacute;n</th></tr><tr>" ;
$html_indicador .= "<td>" . $indicador->nombre  . "</td>\n";
$html_indicador .= "<td colspan='2'>" . $indicador->descripcion . "</td>\n";	
$html_indicador .= "<td>" . $indicador->formulacion . "</td></tr>\n";
$html_indicador .= "<tr><th>Umbral</th><th>Fuente de obtenci&oacute;n</th><th>Periodicidad</th><th>Responsable</th></tr><tr>\n";
$html_indicador .= "<td>" . $indicador->umbral . "</td>\n";
$html_indicador .= "<td>" . $indicador->fuente . "</td>\n";	
$html_indicador .= "<td>" . $indicador->periodicidad . "</td>\n";	
$html_indicador .= "<td><a href='datos_usuario.php?id_usuario=" . $indicador->id_responsable . "'>";
$html_indicador .= $indicador->nombre_responsable . " " . $indicador->apellidos_responsable .  "</td></tr>\n";	
$html_indicador .= "</table>\n";	
	
// Preparamos la lista de valores del indicador
if ($indicador->listar_valores($id_indicador)) {
	$html_valores = "<table class='listing' id='sortable'><thead><tr><th>Fecha recogida</th><th>Periodo</th><th>Valor</th></tr></thead>\n<tbody>";
	foreach ($indicador->valores as $valor){
  		$html_valores .= "<tr><td>" . $valor["fecha_recogida"] . "</td><td>" . $valor["periodo"] . "</td><td>" . $valor["dato"] . "</td>";
  		$html_valores .= "<td><a href='formulario_valor.php?idvalor=" . $valor["id_valor"]  . "'>Editar</a></td></tr>\n" ; 
  		}
	$html_valores .= "</tbody></table>\n";
	}
else {
	$html_valores = "<p>A&uacute;n no se han introducido datos en este indicador</p>";
	}
$nombre_pagina = "Datos del indicador '" . $indicador->nombre . "'";
$comandos = $ic_cmd_nuevo_valor; 
//Comprobamos que el rol del usuario sea de administrador para asignarle botones de comandos avanzados
if ($usuario->entidades[$id_entidad]["rol"]=="administrador" || $usuario->entidades[0]["rol"]=="administrador") { 
	$comandos .= ic_cmd_editar_indicador($id_indicador);
	}
$comandos .= $ic_cmd_indicadores . $ic_cmd_entidades;

// Comienzo a desplegar codigo html
include_once ("inc_cabecera.php"); 

print ("<h3>".$nombre_pagina."</h3>");
print ($html_indicador);

print("<h3>Valores recogidos</h3>");
print ($html_valores);

include_once ("inc_pie.php"); 

$base_datos->desconectar();
?>
