<?php
//---------------------------------------------------------------------------------------------------
// Proyecto: Icasus (http://wiki.us.es/icasus/)
// Archivo: formulario_indicador.php
// Tipo: interfaz de usuario
// Desarrolladores: Juanan Ruiz (juanan@us.es)
//---------------------------------------------------------------------------------------------------
// Descripcion: Formulario para editar y dar de alta nuevos indicadores en el sistema
//---------------------------------------------------------------------------------------------------

include_once ("icasus.config.php");
include_once ("clase_entidad.php");
include_once ("clase_indicador.php");
include_once ("clase_usuario.php");
include_once ("clase_base_datos.php");
include_once ("clase_ica.php");

session_start(); // habilita variables de sesion

//Comprueba si el usuario ha iniciado sesion
if (!isset($_SESSION["usuario"]))
	header ("Location: index.php?aviso=Debe iniciar sesion para acceder al sistema");

//Variables de sesion
$id_usuario = $_SESSION["usuario"]->id_usuario;
$login_usuario = $_SESSION["usuario"]->login;
$id_entidad = $_SESSION["entidad"]->id_entidad;
$nombre_entidad = $_SESSION["entidad"]->nombre;

//Comprobamos que el rol del usuario en esta entidad sea de administrador para permitirle acceder a esta pagina
if (($_SESSION["usuario"]->entidades[$id_entidad]["rol"]!="administrador") && ($_SESSION["usuario"]->entidades[0]["rol"]!="administrador")) 
		header ("Location:lista_entidades.php?aviso=Permisos insuficientes para modificar indicadores");

//Variables de la pagina anterior
if (isset($_GET["id_indicador"])) {
	$id_indicador = $_GET["id_indicador"];
	$base_datos = new base_datos($ic_db_host,$ic_db_login,$ic_db_clave,$ic_db_database);
	$indicador = new indicador($base_datos);
	$indicador->obtener_datos($id_indicador);
	}

$javascript = "<script type='text/javascript'>
   function compruebaDatos(){
      if (document.formdiv.nombre.value=='' || document.formdiv.descripcion.value=='' || document.formdiv.formulacion.value=='' || document.formdiv.fuente.value=='' || document.formdiv.periodicidad.value=='' || document.formdiv.umbral.value==''){ 
       	alert('Debe rellenar todos los campos');
	return(false);
	}
      else 
        document.formdiv.submit();
   }
   </script>";


//Preparamos los select para listar los usuarios de la entidad
if ($base_datos = new base_datos($ic_db_host,$ic_db_login,$ic_db_clave,$ic_db_database)){
	$ica = new ica($base_datos);
	$lista_usuarios = $ica->listar_usuarios($id_entidad);
	//  Si el array viene lleno ponemos "Elija responsable ..." si no "No existen usuarios"
	if (count($lista_usuarios) > 0) {
		$usuarios_entidad = "<option value=''>Elija al responsable del indicador</option>";
		foreach ($lista_usuarios as $usuario) {
			// Comprueba si el usuario procesado es el reponsable de este indicador
			if ($usuario["id_usuario"] == $indicador->id_responsable) 
				$usuario_selected = "selected";
			else
				$usuario_selected = "";
			$usuarios_entidad .= "<option value='" . $usuario["id_usuario"]  . "' " . $usuario_selected . " >" . $usuario["nombre"] . " " . $usuario["apellidos"]  . "</option>";	
			}
		}
	else {
		$usuarios_entidad = "<option value=''>No se han definido usuarios en esta entidad</option>";
		}
	
	}
else
	$mensaje="Error al conectar con la base de datos";

//Parametros de la pagina
$nombre_pagina = "Creaci&oacute;n y modificaci&oacute;n de indicadores";
$comandos = $ic_cmd_indicadores. $ic_cmd_entidades;

//Comienzo a desplegar codigo html
include_once ("inc_cabecera.php"); 

?>
<h2>Datos del nuevo indicador</h2>
    
<form method="post" action="graba_indicador.php" id="formdiv" name="formdiv">
<?php
if (isset($id_indicador))
	print ("<input type='hidden' name='id_indicador' id='id_indicador' value='". $id_indicador ."' />");
?>
<p><label for="id_responsable">Responsable de tomar el dato</label> &nbsp; 
<select name="id_responsable" id="id_responsable" class="inp"><?php echo $usuarios_entidad; ?></select>
</p>

<p><label for="nombre">Nombre indicador </label> &nbsp; <span class="grey">(requerido)</span>
<input type="text" name="nombre" id="nombre" class="inp" value="<?php if (isset($indicador)) echo $indicador->nombre?>" /></p>

<p><label for="descripcion">Descripci&oacute;n </label> &nbsp; <span class="grey">(requerido)</span></p>
<p><textarea name="descripcion" id="descripcion" class="inp" rows="5" cols="50"><?php if (isset($indicador)) echo $indicador->descripcion?></textarea></p>

<p><label for="formulacion">Formulaci&oacute;n </label> &nbsp;<span class="grey">(requerido)</span></p>
<p><textarea name="formulacion" id="formulacion" class="inp" rows="5" cols="50"><?php if (isset($indicador)) echo $indicador->formulacion?></textarea></p>

<p><label for="umbral">Umbral </label> &nbsp;<span class="grey">(requerido)</span>
<input type="text" name="umbral" id="umbral" class="inp" value="<?php if (isset($indicador)) echo $indicador->umbral?>" /></p>

<p><label for="fuente">Fuente de obtenci&oacute;n </label> &nbsp;<span class="grey">(requerido)</span>
<input type="text" name="fuente" id="fuente" class="inp" value="<?php if (isset($indicador)) echo $indicador->fuente?>" /></p>

<p><label for="periodicidad">Periodicidad de medida </label> &nbsp;<span class="grey">(requerido)</span>
<input type="text" name="periodicidad" id="periodicidad" class="inp" value="<?php if (isset($indicador)) echo $indicador->periodicidad?>" /></p>

<p><input type="button" class="submit-btn" value="Enviar" name="indicador_submit" onclick="javascript:compruebaDatos();" /></p>
<!-- <p><input type="image" name="indicador_submit" class="submit-btn" src="btn.gif" value="submit" alt="submit" title="submit" /></p> -->

</form>

<?php
include_once ("inc_pie.php"); 
?>
