<?php 
// -----------------------------------------------------------------------------------------------
// Proyecto: Icasus (http://wiki.us.es/icasus/)
// Archivo: formulario_usuario.php
// Tipo: interfaz de usuario
// Desarrolladores: Juanan Ruiz (juanan@us.es)
// -----------------------------------------------------------------------------------------------
// Descripcion: Formulario para dar de alta o modificar un usuario en el sistema
// Envia a: graba_usuario.php
// -----------------------------------------------------------------------------------------------

include_once ("icasus.config.php");
include_once ("clase_base_datos.php");
include_once ("clase_entidad.php");
include_once ("clase_usuario.php");
include_once ("clase_ica.php");

session_start(); // habilita variables de sesion

// Comprueba si el usuario ha iniciado sesion
if (!isset($_SESSION["usuario"]))
	header ("Location: index.php?aviso=Debe iniciar sesion");

// Variables de sesion
$id_usuario = $_SESSION["usuario"]->id_usuario;
$login_usuario = $_SESSION["usuario"]->login;

if (isset($_SESSION["entidad"])){ 
   $id_entidad = $_SESSION["entidad"]->id_entidad;
   $nombre_entidad = $_SESSION["entidad"]->nombre;
   }

// Variables de la pagina anterior
if (isset($_GET["id_usuario"])) {
	$id_usuario_editado = $_GET["id_usuario"];
	$base_datos = new base_datos($ic_db_host,$ic_db_login,$ic_db_clave,$ic_db_database);
	$usuario = new usuario($base_datos);
	$usuario->obtener_datos($id_usuario_editado);
	$usuario->obtener_entidades($id_usuario_editado);
	}

// Comprobamos que el rol del usuario en esta entidad sea de administrador para permitirle acceder a esta pagina
if (($_SESSION["usuario"]->entidades[$id_entidad]["rol"]!="administrador") && ($_SESSION["usuario"]->entidades[0]["rol"]!="administrador")) 
	header ("Location:lista_entidades.php?aviso=Permisos insuficientes para modificar usuarios en esta entidad");

// Datos de la pagina
$nombre_pagina = "Alta y modificaci&oacute;n de usuarios";
$comandos = $ic_cmd_usuarios . $ic_cmd_entidades;

$javascript = "<script type='text/javascript'>
   function compruebaDatos(){
      if (document.formdiv.nombre.value=='' || document.formdiv.apellidos.value=='' || document.formdiv.login.value=='' || document.formdiv.clave.value==''){ 
       	alert('Debe rellenar todos los campos requeridos');
	return(false);
	}
      else if (document.formdiv.clave.value != document.formdiv.clave2.value) {
        alert('Las claves de acceso no coinciden');
	return(false);
	}
      else {
        document.formdiv.submit();
	}
   }
   </script>";

//Comienzo a desplegar codigo html
include_once ("inc_cabecera.php"); 
?>
<h2><? print($nombre_pagina); ?></h2>
<form action="graba_usuario.php" method="post" id="formdiv" name="formdiv">
<?php
// Si el id_usuario existe estamos en modo edicion y reenviamos el dato para saber que usuario hay que modificar
if (isset($id_usuario_editado)) {
	print ("<input type='hidden' name='id_usuario' id='id_usuario' value='". $id_usuario_editado ."' />\n");
	}
	print("\n");
?>

<p><label for='entidad'>Entidad</label><br /><select name='entidad' id='entidad' class='inp'><option value="<?php print($id_entidad); ?>">
<?php print($nombre_entidad); ?></option></select></p>

<p label for ="rol">Rol para esta entidad</label>
<select id='rol' name='rol' class='inp'>
	<option value='usuario' <?php if ($usuario->entidades[$id_entidad]["rol"] == "usuario") print("selected"); ?>>Usuario</option>
	<option value ='administrador' <?php if ($usuario->entidades[$id_entidad]["rol"] == "administrador") print("selected"); ?>>Administrador</option>
</select></p>

<p><label for="nombre">Nombre</label> &nbsp;<span class="grey">(requerido)</span>
<input name="nombre" id="nombre" class="inp" value="<?php if (isset($usuario)) echo $usuario->nombre; ?>" /></p>

<p><label for="apellidos">Apellidos </label> &nbsp;<span class="grey">(requerido)</span>
<input name="apellidos" id="apellidos" class="inp" value="<?php if (isset($usuario)) echo $usuario->apellidos; ?>" /></p>

<p><label for="nif">D.N.I.(con letra)</label> &nbsp;
<input name="nif" id="nif" class="inp" value="<?php if (isset($usuario)) echo $usuario->nif; ?>" /></p>

<p><label for="correo">Correo electr&oacute;nico</label> &nbsp;
<input name="correo" id="correo" class="inp" value="<?php if (isset($usuario)) echo $usuario->correo; ?>" /></p>

<p><label for="telefono">Tel&eacute;fono</label> &nbsp;
<input name="telefono" id="telefono" class="inp" value="<?php if (isset($usuario)) echo $usuario->telefono; ?>" /></p>

<p><label for="login">Login </label> &nbsp;<span class="grey">(requerido)</span>
<input name="login" id="login" class="inp" value="<?php if (isset($usuario)) echo $usuario->login; ?>" /></p>

<p><label for="clave">Clave de acceso </label> &nbsp;<span class="grey">(requerido)</span>
<input type="password" name="clave" id="clave" class="inp" value="<?php if (isset($usuario)) echo $usuario->clave; ?>" /></p>

<p><label for="clave2">Repetir clave de acceso </label> &nbsp;<span class="grey">(requerido)</span>
<input type ="password" name="clave2" id="clave2" class="inp" value="<?php if (isset($usuario)) echo $usuario->clave; ?>" /></p>

<p><input type="button" class="submit-btn" value="Enviar" name="usuario_submit" onclick="javascript:compruebaDatos();" /></p>
</form>

<?php 
include_once ("inc_pie.php"); 
$base_datos->desconectar();
?>
