<?php
//---------------------------------------------------------------------------------------------------
// Proyecto: Icasus (http://wiki.us.es/icasus/)
// Archivo: graba_entidad.php
// Tipo: proceso e interfaz de usuario
// Desarrolladores: Juanan Ruiz (juanan@us.es)
//---------------------------------------------------------------------------------------------------
// Descripcion: Graba los datos de una nueva entidad recogidos desde formulario_entidad.php y muestra 
// el resultado al usuario 
//---------------------------------------------------------------------------------------------------

include_once ("icasus.config.php");
include_once ("clase_entidad.php");
include_once ("clase_base_datos.php");

//Habilita variables de sesion
session_start();

//Comprueba si el usuario ha iniciado sesion
if (!isset($_SESSION["usuario"]))
	header ("Location: login.php?aviso=Debe iniciar sesion");
	
$id_usuario = $_SESSION["usuario"]->id_usuario;
$login_usuario = $_SESSION["usuario"]->login;

//Comprueba que todas la variable "nombre" traiga contenido y si no redirecciona al formulario
if (empty($_POST["nombre"]))
	header ("Location: formulario_entidad.php");

$nombre = $_POST["nombre"];

$base_datos = new base_datos($ic_db_host,$ic_db_login,$ic_db_clave,$ic_db_database);
if (is_object($base_datos)) {
  $entidad = new entidad($base_datos);
  //Graba la entidad 	
  if ($entidad->crear($nombre)) {
  	$mensaje = "La entidad se ha grabado correctamente.";
	//Obtenemos la entidad que acabamos de grabar para imprimirla en pantalla
	$entidad->obtener_datos($entidad->id_entidad);
	$html_entidad = "<table>";
	$html_entidad .= "<tr><th>Nombre</th><td>" . $entidad->nombre  . "</td></tr>\n";
	$html_entidad .= "</table>";	
	}
  else 
	$mensaje = $entidad->error; 
  }
else
  $mensaje = "Problema de conexion a la base de datos. Intentelo mas tarde.";

$nombre_pagina = "Alta y edici&oacute;n de entidades";
$comandos = $ic_cmd_nueva_entidad . $ic_cmd_entidades;

//Comienzo a desplegar codigo html
include_once ("inc_cabecera.php"); 

//Aqui imprimimos el resultado de la grabacion
print ("<h4>".$mensaje."</h4>");
print ($html_entidad);

include_once ("inc_pie.php"); 
$base_datos->desconectar();

?>
