<?php
//---------------------------------------------------------------------------------------------------
// Proyecto: Icasus (http://wiki.us.es/icasus/)
// Archivo: graba_indicador.php
// Tipo: proceso e interfaz de usuario
// Desarrolladores: Juanan Ruiz (juanan@us.es)
//---------------------------------------------------------------------------------------------------
// Descripcion: Graba los datos de un nuevo indicador recogidos desde form_indicador.php y muestra 
// el resultado al usuario 
//---------------------------------------------------------------------------------------------------

include_once ("icasus.config.php");
include_once ("clase_entidad.php");
include_once ("clase_indicador.php");
include_once ("clase_usuario.php");
include_once ("clase_base_datos.php");

session_start(); // habilita variables de sesion

//Comprueba si el usuario ha iniciado sesion
if (!isset($_SESSION["usuario"]))
	header ("Location: index.php?aviso=Debe iniciar sesion");

//Comprueba que todas las variables traigan contenido y si no redirecciona al formulario
if (empty($_POST["nombre"]) || empty($_POST["descripcion"]) || empty($_POST["formulacion"]) || empty($_POST["fuente"]) || empty($_POST["periodicidad"])|| empty($_POST["umbral"]))
	header ("Location: formulario_indicador.php");

//Variables de sesion
$id_entidad = $_SESSION["entidad"]->id_entidad;
$nombre_entidad = $_SESSION["entidad"]->nombre;
$id_usuario = $_SESSION["usuario"]->id_usuario;
$login_usuario = $_SESSION["usuario"]->login;

//Variables que vienen de la pagina anterior
$nombre = $_POST["nombre"];
$umbral = $_POST["umbral"];
$descripcion = $_POST["descripcion"];
$formulacion = $_POST["formulacion"];
$fuente = $_POST["fuente"];
$periodicidad = $_POST["periodicidad"];
$id_responsable = $_POST["id_responsable"];
$id_indicador = $_POST["id_indicador"];

$base_datos = new base_datos($ic_db_host,$ic_db_login,$ic_db_clave,$ic_db_database);
if (is_object($base_datos)) {
  $indicador = new indicador($base_datos);

  // Si existe $id_indicador entonces vamos a actualizar, en caso contrario creamos uno nuevo
  if (isset($id_indicador)){
  	$grabacion_correcta = $indicador->actualizar_datos($id_indicador,$nombre,$umbral,$id_entidad,$descripcion,$formulacion,$fuente,$periodicidad,$id_responsable);
	$indicador->id_indicador = $id_indicador;
	}
  else 	
  	$grabacion_correcta = $indicador->crear($nombre,$umbral,$id_entidad,$descripcion,$formulacion,$fuente,$periodicidad,$id_responsable);

  if ($grabacion_correcta) {
  	$mensaje = "El indicador se ha grabado correctamente.";
	//Obtenemos el indicador que acabamos de grabar para imprimirlo en pantalla
	$indicador->obtener_datos($indicador->id_indicador);
	$html_indicador = "<table>\n";
	$html_indicador .= "<tr><th>Nombre</th><td>" . $indicador->nombre  . "</td></tr>\n";
	$html_indicador .= "<tr><th>Descripci&oacute;n</th><td>" . $indicador->descripcion . "</td></tr>\n";	
	$html_indicador .= "<tr><th>Formulaci&oacute;n</th><td>" . $indicador->formulacion . "</td></tr>\n";	
	$html_indicador .= "<tr><th>Umbral</th><td>" . $indicador->umbral . "</td></tr>\n";
	$html_indicador .= "<tr><th>Fuente de obtenci&oacute;n</th><td>" . $indicador->fuente . "</td></tr>\n";	
	$html_indicador .= "<tr><th>Periodicidad</th><td>" . $indicador->periodicidad . "</td></tr>\n";	
	$html_indicador .= "</table>\n";	
	}
  else {
  	//Veamos cual ha sido el fallo
  	if ($indicador->nombre_duplicado) 
		$mensaje = "El indicador &quot;" . $nombre  . "&quot; ya existe para esta entidad."; 
	else
		$mensaje = $indicador->error;
  	}
  }
else
  $mensaje = "ERROR: Problema de conexion a la base de datos. Intentelo mas tarde.";

$base_datos->desconectar();
$nombre_pagina = "Grabaci&oacute;n de Indicadores";
$rastro_migas = "";
$comandos = ic_cmd_editar_indicador($id_indicador) . $ic_cmd_nuevo_indicador . $ic_cmd_indicadores . $ic_cmd_entidades;

//Comienzo a desplegar codigo html
include_once ("inc_cabecera.php"); 

print("<h2>Datos indicador</h2>");

//Aqui imprimimos el resultado de la grabacion
print ("<h4>".$mensaje."</h4>");
print ($html_indicador);

include_once ("inc_pie.php"); 
?>
