<?php
//---------------------------------------------------------------------------------------------------
// Proyecto: Icasus (http://wiki.us.es/icasus/)
// Archivo: graba_valor.php
// Tipo: proceso e interfaz de usuario
// Desarrolladores: Juanan Ruiz (juanan@us.es)
//---------------------------------------------------------------------------------------------------
// Descripcion: Graba un nuevo valor para un indicador, comprueba que el usuario 
// tenga permiso para hacerlo
//---------------------------------------------------------------------------------------------------

include_once ("icasus.config.php");
include_once ("clase_entidad.php");
include_once ("clase_indicador.php");
include_once ("clase_usuario.php");
include_once ("clase_valor.php");
include_once ("clase_base_datos.php");

//Variables de sesion
session_start();

if (!isset($_SESSION["usuario"]) OR !isset($_SESSION["entidad"]) OR !isset($_SESSION["indicador"]))
	header ("Location: index.php?aviso=Debe iniciar sesion en el sistema");
	
$id_usuario = $_SESSION["usuario"]->id_usuario;
$login_usuario = $_SESSION["usuario"]->login;
$id_entidad = $_SESSION["entidad"]->id_entidad;
$nombre_entidad = $_SESSION["entidad"]->nombre;
$id_indicador = $_SESSION["indicador"]->id_indicador;

//Variables que vienen de la pagina anterior
if (empty($_POST["dato_valor"]) || empty($_POST["periodo"]) || empty($_POST["fecha_recogida"]))
	header ("Location: datos_indicador.php");
$dato_valor = $_POST["dato_valor"];
$periodo = $_POST["periodo"];
$fecha_recogida = $_POST["fecha_recogida"];

if ($base_datos = new base_datos($ic_db_host,$ic_db_login,$ic_db_clave,$ic_db_database)) {
  $valor = new valor($base_datos);
  //Graba el usuario 	
  if ($valor->crear($id_indicador, $id_usuario, $dato_valor,$periodo,$fecha_recogida)) {
  	$mensaje = "El nuevo valor se ha grabado correctamente.";
	//Obtenemos el valor que acabamos de grabar para imprimirlo en pantalla
	$valor->obtener_datos($valor->id_valor);
	$html_valor = "<h3>Datos del nuevo valor para '" . $_SESSION["indicador"]->nombre ."'</h3>\n<table>";
	$html_valor .= "<tr><th>Valor</th><td>" . $valor->dato  . "</td></tr>\n";
	$html_valor .= "<tr><th>Periodo</th><td>" . $valor->periodo . "</td></tr>\n";	
	$html_valor .= "<tr><th>Fecha obtenci&oacute;n</th><td>" . $valor->fecha_recogida . "</td></tr>\n";	
	$html_valor .= "</table>";
	}
  else {
  	//Veamos cual ha sido el fallo
	$mensaje = $valor->error;
  	}
  }
else
  $mensaje = "Problema de conexion a la base de datos. Intentelo mas tarde.";

$base_datos->desconectar();

$nombre_pagina="Nuevo valor para '" . $_SESSION["indicador"]->nombre ."'";
$comandos = $ic_cmd_nuevo_valor . $ic_cmd_indicador . $ic_cmd_indicadores . $ic_cmd_entidades;

//Comienzo a desplegar codigo html
include_once ("inc_cabecera.php"); 

print("<h2>Resultado de la grabaci&oacute;n</h2>");

//Aqui imprimimos el resultado de la grabacion
print ("<p>".$mensaje."</p>");
print ($html_valor);

include_once ("inc_pie.php"); 
?>
