-- MySQL dump 9.11
--
-- Host: localhost    Database: icasus
-- ------------------------------------------------------
-- Server version	4.0.23_Debian-3ubuntu2.3-log

--
-- Table structure for table `entidad`
--

CREATE TABLE entidad (
  id_entidad int(10) unsigned NOT NULL auto_increment,
  nombre varchar(75) NOT NULL default '',
  PRIMARY KEY  (id_entidad),
  KEY Index_nombre (nombre)
) TYPE=InnoDB;

--
-- Dumping data for table `entidad`
--

INSERT INTO entidad VALUES (0,'Administración Icasus');
--
-- Table structure for table `indicador`
--

CREATE TABLE indicador (
  id_indicador int(10) unsigned NOT NULL auto_increment,
  nombre varchar(100) NOT NULL default '',
  descripcion text NOT NULL,
  formulacion text NOT NULL,
  umbral varchar(50) NOT NULL default '0',
  id_entidad int(10) unsigned NOT NULL default '0',
  id_responsable int(10) unsigned default '0',
  periodicidad varchar(50) NOT NULL default '',
  fuente varchar(100) NOT NULL default '',
  PRIMARY KEY  (id_indicador),
  KEY Index_nombre (nombre),
  KEY Index_entidad (id_entidad)
) TYPE=InnoDB;

--
-- Table structure for table `usuario`
--

CREATE TABLE usuario (
  id_usuario int(10) unsigned NOT NULL auto_increment,
  login varchar(15) NOT NULL default '',
  clave varchar(45) NOT NULL default '',
  nombre varchar(45) NOT NULL default '',
  apellidos varchar(75) NOT NULL default '',
  nif varchar(10) NOT NULL default '',
  correo varchar(45) NOT NULL default '',
  telefono varchar(15) default NULL,
  PRIMARY KEY  (id_usuario),
  KEY Index_login (login),
  KEY Index_apellidos (apellidos)
) TYPE=InnoDB;

--
-- Table structure for table `usuario_entidad`
--

CREATE TABLE usuario_entidad (
  id_usuario int(10) unsigned NOT NULL default '0',
  id_entidad int(10) unsigned NOT NULL default '0',
  rol varchar(15) NOT NULL default '0',
  PRIMARY KEY  (id_usuario,id_entidad)
) TYPE=InnoDB;

--
-- Table structure for table `valor`
--

CREATE TABLE valor (
  id_valor int(10) unsigned NOT NULL auto_increment,
  indicador int(10) unsigned NOT NULL default '0',
  fecha_recogida datetime NOT NULL default '0000-00-00 00:00:00',
  fecha_entrada datetime NOT NULL default '0000-00-00 00:00:00',
  valor int(10) unsigned NOT NULL default '0',
  periodo char(45) NOT NULL default '',
  usuario int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (id_valor),
  KEY Index_indicador (indicador)
) TYPE=InnoDB ROW_FORMAT=FIXED;

