<?php
//---------------------------------------------------------------------------------------------------
// Proyecto: Icasus (http://wiki.us.es/icasus/)
// Archivo: lista_indicadores.php
// Tipo: interfaz de usuario
// Desarrolladores: Juanan Ruiz (juanan@us.es)
//---------------------------------------------------------------------------------------------------
// Descripcion: Listado de indicadores para una entidad determinada
//---------------------------------------------------------------------------------------------------

include_once ("icasus.config.php");
include_once ("clase_base_datos.php");
include_once ("clase_entidad.php");
include_once ("clase_usuario.php");

session_start(); // habilita variables de sesion

//Comprueba si el usuario ha iniciado sesion
if (!isset($_SESSION["usuario"]))
	header ("Location: index.php?aviso=Debe iniciar sesion para acceder al sistema.");

//Variables de sesion
$usuario = $_SESSION["usuario"];
$id_usuario = $usuario->id_usuario;
$login_usuario = $usuario->login;

// Si venimos desde un listado de entidades tomamos el identificador de identidad de la url
// pero tenemos que comprobar que el usuario tiene asignada esa entidad (TODO)
// Si viene de otro sitio la variable de sesion debe estar establecida y no compruebo nada mas
if (isset($_GET["id_entidad"])) 
   $id_entidad = $_GET["id_entidad"];
else 
   $id_entidad = $_SESSION["entidad"]->id_entidad;
   
$base_datos = new base_datos($ic_db_host,$ic_db_login,$ic_db_clave,$ic_db_database);

//Conecta a la base de datos 	
if (is_object($base_datos)) {	
   $entidad = new entidad($base_datos);
   $entidad->id_entidad = $id_entidad;
   $entidad->obtener_datos($entidad->id_entidad);
   //Creo variable de sesion para la entidad
   $_SESSION["entidad"] = $entidad;
   
   $lista_indicadores = array();
   
   //Pido un listado de indicadores para la entidad actual
   $lista_indicadores = $entidad->listar_indicadores(); 
   //Preparo el codigo  html para el listado de indicadores
   $tabla_indicadores = "<table class='listing' id='sortable'><thead><tr><th>Indicador</th><th>Descripci&oacute;n</th><th>Formulaci&oacute;n</th>";
   $tabla_indicadores .= "<th>Propietario</th></tr></thead><tbody>";
   foreach ($lista_indicadores as $indicador) {
   	  //Para activar el enlace a los detalles del indicador comprobamos que el rol del usuario en esta entidad sea de administrador
 	  if (($usuario->entidades[$id_entidad]["rol"]=="administrador") || ($usuario->entidades[0]["rol"]=="administrador")) {
   	  	$tabla_indicadores .= "<tr><td><a href='datos_indicador.php?id_indicador=" . $indicador["id_indicador"] . "'>" . $indicador["nombre_indicador"] . "</a></td>";
          	}
	  else {	
   	  	$tabla_indicadores .= "<tr><td>" . $indicador["nombre_indicador"] . "</td>";
	  	}
	  $tabla_indicadores .= "<td>" . $indicador["descripcion"] . "</td>";
	  $tabla_indicadores .= "<td>" . $indicador["formulacion"] ."</td>";
	  $tabla_indicadores .= "<td><a href='datos_usuario.php?id_usuario=" . $indicador["id_responsable"] . "'>" . $indicador["nombre_usuario"];
	  $tabla_indicadores .= " "  .$indicador["apellidos"] .  "</a></td>";
	  $tabla_indicadores .= "</tr>\n";
  	  }
   $tabla_indicadores .= "</tbody></table>";
   }
else	
      $error = "Error al conectar con la base de datos. Int&eacute;ntelo de nuevo pasados unos minutos.";

//Datos de la pagina
$nombre_entidad = $entidad->nombre;
$nombre_pagina = "Relaci&oacute;n de indicadores";

//Comprobamos que el rol del usuario en esta entidad sea de administrador para asignarle botones de comandos avanzados
if (($usuario->entidades[$id_entidad]["rol"]=="administrador") || ($usuario->entidades[0]["rol"]=="administrador")) 
	$comandos = $ic_cmd_nuevo_indicador;

$comandos .= $ic_cmd_usuarios . $ic_cmd_entidades;

//Comienzo a desplegar codigo html
include_once ("inc_cabecera.php"); 

print("<h2>" . $nombre_pagina . "</h2>");

//Aqui imprimimos el listado de indicadores o el error si lo hubiera
if ($error)
	print ("<h3>".$error."</h3>");
else
	print($tabla_indicadores); 

include_once ("inc_pie.php"); 
?>
